---
lang: en
title: 'API docs: health.healthcomponent._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/health
permalink: /doc/en/lb4/apidocs.health.healthcomponent._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/health](./health.md) &gt; [HealthComponent](./health.healthcomponent.md) &gt; [(constructor)](./health.healthcomponent._constructor_.md)

## HealthComponent.(constructor)

Constructs a new instance of the `HealthComponent` class

**Signature:**

```typescript
constructor(application: Application, healthConfig?: HealthConfig);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  application | [Application](./core.application.md) |  |
|  healthConfig | [HealthConfig](./health.healthconfig.md) | _(Optional)_ |


